<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Subtask 501.10</title>
</head>

<body>

</body>
<script>
    var v = [1000, "Hạ Long", false, "TPHCM", 90, -8, 88, null];
    var v2 = [NaN, 0, 15, false, -22, '', undefined, 47, null];
    var v3 = [2, 5, 9, 6];
    var onlyNumber = [];

    function subtask1(a) {
        var result = Array.isArray(a);
        if (result) {
            return true;
        }
        else {
            false;
        }
    }

    function subtask2(a, b) {
        var result = Array.isArray(a);
        if (result) {
            console.log(a[b]);
        }
        else {
            console.log("vui lòng nhập array");
        }
    }

    function subtask3(a) {
        var result = Array.isArray(a);
        if (result) {
            for (var i = 0; i < a.length; i++) {
                for (var j = i + 1; j < a.length; j++) {
                    if (a[i] > a[j]) {
                        var temp = a[i];
                        a[i] = a[j];
                        a[j] = temp;
                    }
                }
            }
        }
        console.log(a);

    }

    function subtask4(a, b) {
        var result = Array.isArray(a);
        if (result) {
            var n = -1;
            for (var i in a) {
                if (b == a[i]) {
                    n = i;
                    console.log(n);
                }
            }
            return n;
        }
        else {
            console.log("vui lòng nhập array");
            return false;
        }

    }

    function subtask5(a, b) {
        var result = Array.isArray(a);
        var result2 = Array.isArray(b);
        if (result && result2) {
            var combine = a.concat(b);
            return combine;
        }
    }

    function subtask6(a) {
        var result = Array.isArray(a);
        if (result) {
            // var selected = a.forEach(element => {
            //     if(typeof element === 'string'){
            //         onlyNumber
            //     }
            // });
            for (var i in a) {
                if (typeof a[i] === 'number') {
                    push(i, a[i])
                }
            }
        }
    }

    function push(i, arrayElement) {
        onlyNumber[i] = arrayElement;
    }

    subtask6(v);
    console.log(onlyNumber);
    subtask6(v2);
    console.log(onlyNumber);

    function subtask7(a, n) {
        var result = Array.isArray(a);
        if (result) {
            for (var i in a) {
                if (a[i] == n) {
                    delete a[i];
                }
            }
            // var newArray = a.forEach(element => {
            //     if(element === n){
            //         delete a[element];
            //     }
            // });
            console.log(a);
        }
    }
    subtask7(v3, 5);

    function subtask8(a) {
        var result = Array.isArray(a);
        if (result) {
            var item = a[Math.floor(Math.random()*a.length)];
        }
        console.log(item);
    }
    subtask8(v2);

    function subtask9(x,y){
        var array = [];
        for (var i = 0 ; i < x; i++){
            array[i] = y;
        }
        console.log(array);
    }

    subtask9(10,90);

    function subtask10(x,y){
        var array = [x];
        for (var i = 1 ; i < y; i++){
            x += 1;
            array[i] = x;
        }
        console.log(array);
    }

subtask10(1,4);
</script>
</script>

</html>